File:  [NetBSD Developer Wiki] / wikisrc / users / rkujawa / amigapci.mdwn
Revision 1.8: download - view: text, annotated - select for diffs
Tue Aug 7 12:54:53 2012 UTC (20 months, 1 week ago) by rkujawa
Branches: MAIN
CVS tags: HEAD
More linking.

# NetBSD/amiga PCI compatibility guide

This is the compatibility of current development version (HEAD branch), not of any stable release. 

## Supported PCI bridges

<table>
	<tr>
		<td>Name</td>
		<td>Driver</td>
		<td>I/O space</td>
		<td>Mem space</td>
		<td>DMA*</td>
	</tr>
	<tr>
		<td>Elbox Mediator 1200</td>
		<td>[[empb|http://netbsd.gw.com/cgi-bin/man-cgi?empb+.amiga+NetBSD-current]]</td>
		<td>yes</td>
		<td>yes**</td>
		<td>no</td>
	</tr>
	<tr>
		<td>Elbox Mediator 4000</td>
		<td>no driver</td>
		<td></td>
		<td></td>
		<td></td>
	</tr>
	<tr>
		<td>Elbox Mediator ZIV</td>
		<td>no driver</td>
		<td></td>
		<td></td>
		<td></td>
	</tr>
	<tr>
		<td>DCE G-REX 1200 / 4000</td>
		<td>[[p5pb|http://netbsd.gw.com/cgi-bin/man-cgi?p5pb+.amiga+NetBSD-current]]</td>
		<td>yes</td>
		<td>yes***</td>
		<td>no****</td>
	</tr>
	<tr>
		<td>Phase5 CyberVisionPPC/BVisionPPC</td>
		<td>[[p5pb|http://netbsd.gw.com/cgi-bin/man-cgi?p5pb+.amiga+NetBSD-current]]</td>
		<td>yes</td>
		<td>yes</td>
		<td>no</td>
	</tr>
	<tr>
		<td>Phase5 CyberVision64/3D</td>
		<td>[[cv3dpb|http://netbsd.gw.com/cgi-bin/man-cgi?cv3dpb+.amiga+NetBSD-current]]*****</td>
		<td>yes</td>
		<td>yes</td>
		<td>no</td>
	</tr>
	<tr>
		<td>Matay Prometheus</td>
		<td>[[mppb|http://netbsd.gw.com/cgi-bin/man-cgi?mppb+.amiga+NetBSD-current]]</td>
		<td>yes</td>
		<td>yes</td>
		<td>no</td>
	</tr>	
</table>

\* - DMA to host memory, not DMA to graphics card memory.

** - Does not support access through pointer dereference, only through bus_space methods.

*** - There are problems with accessing the ROM of PCI cards.

**** - Implemented but does not work (driver bug?).

***** - No machine independent S3 ViRGE driver yet, please use machine dependent grfcv3d driver instead.

## Tested cards

<table>
	<tr>
		<td>Name</td>
		<td>Driver</td>
		<td>Tested with</td>
		<td>Works?</td>
	<tr>
	<tr>
		<td>NE2000 network cards (like RTL8029)</td>
		<td>[[ne|http://netbsd.gw.com/cgi-bin/man-cgi?ne+NetBSD-current]]</td>
		<td>empb, p5pb, mppb</td>
		<td>yes</td>
	</tr>
	<tr>
		<td>3Dfx Voodoo3</td>
		<td>[[voodoofb|http://netbsd.gw.com/cgi-bin/man-cgi?voodoofb+NetBSD-current]]</td>
		<td>empb, p5pb</td>
		<td>yes*</td>
	</tr>
	<tr>
		<td>SATALink 3112</td>
		<td>[[satalink|http://netbsd.gw.com/cgi-bin/man-cgi?satalink+NetBSD-current]]</td>
		<td>empb</td>
		<td>yes</td>
	</tr>
	<tr>
		<td>ATI Radeon R200</td>
		<td>[[radeonfb|http://netbsd.gw.com/cgi-bin/man-cgi?radeonfb+NetBSD-current]]</td>
		<td>p5pb</td>
		<td>not yet, work in progress</td>
	</tr>
	<tr>
		<td>TI TVP4020 Permedia 2</td>
		<td>[[genfb|http://netbsd.gw.com/cgi-bin/man-cgi?genfb+NetBSD-current]]</td>
		<td>p5pb</td>
		<td>yes**</td>
	</tr>
	<tr>
		<td>Realtek 8139</td>
		<td>[[rtk|http://netbsd.gw.com/cgi-bin/man-cgi?rtk+NetBSD-current]]</td>
		<td>p5pb, empb</td>
		<td>no, needs DMA</td>
	</tr>
</table>

\* - If used with Mediator or Prometheus the card needs initializaion in AmigaOS. X11 is not supported yet.

** - No X11 support yet.


CVSweb for NetBSD wikisrc <wikimaster@NetBSD.org> software: FreeBSD-CVSweb